//
// Created by nicolas on 17/11/23.
//

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "../interfaces.h"


QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
Q_OBJECT

public:
    explicit MainWindow(QMainWindow *parent = nullptr);
    ~MainWindow() override;

private:
    Ui::MainWindow *ui;
    QList<PerformanceProfile> *items;
    void onConfirm();
    void onCancel();
    void initProfilesList();
    static int setPerformanceProfile(const PerformanceProfile *profile);
};


#endif //MAINWINDOW_H
